<script setup lang="ts">
import { useCustomerStore } from '@/views/customer/stores/customer'
import { usePosStore } from '../stores/pos'
import { computed } from 'vue'

const posStore = usePosStore()
const customerStore = useCustomerStore()

const readyToPay = computed(() => {
  if (posStore.tempReceipt) {
    return (
      posStore.tempReceipt.change >= 0 &&
      posStore.tempReceipt.netPrice > 0 &&
      posStore.tempReceipt.receivedAmount > 0
    )
  }
  return false
})
</script>

<template>
  <v-container>
    <v-row>
      <v-col cols="6">
        <v-btn block rounded="l" color="#a16942" size="large" @click="customerStore.openDialog()">
          <v-icon start icon="mdi-wallet-membership"></v-icon>Register Member
        </v-btn>
      </v-col>
      <v-col cols="6">
        <v-btn
          prepend-icon="mdi-close"
          block
          rounded="l"
          color="red-lighten-1"
          size="large"
          @click="posStore.resetTempReceipt()"
          text="Cancel"
        >
        </v-btn>
      </v-col>
      <v-col cols="6">
        <v-btn
          block
          rounded="l"
          color="#693a18"
          size="large"
          prepend-icon="mdi-star"
          text="Promotion"
          @click="posStore.openDialogPromotion()"
        >
        </v-btn>
      </v-col>

      <v-col cols="6">
        <v-btn
          prepend-icon="mdi-currency-usd"
          block
          color="green-darken-2"
          size="large"
          @click="posStore.openDialogReceipt()"
          text="Payment"
          :disabled="!readyToPay"
        >
        </v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>
